Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.digested
Interface DPatternVisitor<V>

All Known Implementing Classes:
  DPatternWalker

    public interface DPatternVisitor<V>

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Method Summary
`V` | `onAttribute(DAttributePattern p)`
`V` | `onChoice(DChoicePattern p)`
`V` | `onData(DDataPattern p)`
`V` | `onElement(DElementPattern p)`
`V` | `onEmpty(DEmptyPattern p)`
`V` | `onGrammar(DGrammarPattern p)`
`V` | `onGroup(DGroupPattern p)`
`V` | `onInterleave(DInterleavePattern p)`
`V` | `onList(DListPattern p)`
`V` | `onMixed(DMixedPattern p)`
`V` | `onNotAllowed(DNotAllowedPattern p)`
`V` | `onOneOrMore(DOneOrMorePattern p)`
`V` | `onOptional(DOptionalPattern p)`
`V` | `onRef(DRefPattern p)`
`V` | `onText(DTextPattern p)`
`V` | `onValue(DValuePattern p)`
`V` | `onZeroOrMore(DZeroOrMorePattern p)`

Method Detail

### onAttribute

    V onAttribute(DAttributePattern p)

### onChoice

    V onChoice(DChoicePattern p)

### onData

    V onData(DDataPattern p)

### onElement

    V onElement(DElementPattern p)

### onEmpty

    V onEmpty(DEmptyPattern p)

### onGrammar

    V onGrammar(DGrammarPattern p)

### onGroup

    V onGroup(DGroupPattern p)

### onInterleave

    V onInterleave(DInterleavePattern p)

### onList

    V onList(DListPattern p)

### onMixed

    V onMixed(DMixedPattern p)

### onNotAllowed

    V onNotAllowed(DNotAllowedPattern p)

### onOneOrMore

    V onOneOrMore(DOneOrMorePattern p)

### onOptional

    V onOptional(DOptionalPattern p)

### onRef

    V onRef(DRefPattern p)

### onText

    V onText(DTextPattern p)

### onValue

    V onValue(DValuePattern p)

### onZeroOrMore

    V onZeroOrMore(DZeroOrMorePattern p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD